#!/bin/bash

BUILD_DIR=$( dirname $(realpath "$0") || pwd)
TIMESTAMP=$( date +'%y-%m-%d.%H-%M-%S' )

cd ${BUILD_DIR}

cd ..
python3 setup.py build_apps -v &>> "${BUILD_DIR}/build.${TIMESTAMP}.log"
cd ${BUILD_DIR}
echo -e "\ndefault-model-extension .bam" >> manylinux1_x86_64/config/config.prc
echo -e "\ndefault-model-extension .bam" >> win_amd64/config/config.prc

cp -r lib/win/* win_amd64/
cp -r lib/linux/* manylinux1_x86_64/
